Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl.opengl
Class NVParameterBufferObject

    java.lang.Object
      org.lwjgl.opengl.NVParameterBufferObject

    public final class NVParameterBufferObject

extends java.lang.Object

Field Summary
`static int` | `GL_FRAGMENT_PROGRAM_PARAMETER_BUFFER_NV`
`static int` | `GL_GEOMETRY_PROGRAM_PARAMETER_BUFFER_NV`
`static int` | `GL_MAX_PROGRAM_PARAMETER_BUFFER_BINDINGS_NV` Accepted by the <pname> parameter of GetProgramivARB:
`static int` | `GL_MAX_PROGRAM_PARAMETER_BUFFER_SIZE_NV`
`static int` | `GL_VERTEX_PROGRAM_PARAMETER_BUFFER_NV` Accepted by the <target> parameter of ProgramBufferParametersfvNV, ProgramBufferParametersIivNV, and ProgramBufferParametersIuivNV, BindBufferRangeNV, BindBufferOffsetNV, BindBufferBaseNV, and BindBuffer and the <value> parameter of GetIntegerIndexedvEXT:

Method Summary
`static void` | `glProgramBufferParametersINV(int target, int buffer, int index, java.nio.IntBuffer params)`
`static void` | `glProgramBufferParametersIuNV(int target, int buffer, int index, java.nio.IntBuffer params)`
`static void` | `glProgramBufferParametersNV(int target, int buffer, int index, java.nio.FloatBuffer params)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_MAX_PROGRAM_PARAMETER_BUFFER_BINDINGS_NV

    public static final int GL_MAX_PROGRAM_PARAMETER_BUFFER_BINDINGS_NV

  Accepted by the <pname> parameter of GetProgramivARB:

  See Also:
    Constant Field Values

### GL_MAX_PROGRAM_PARAMETER_BUFFER_SIZE_NV

    public static final int GL_MAX_PROGRAM_PARAMETER_BUFFER_SIZE_NV

See Also:
  Constant Field Values

### GL_VERTEX_PROGRAM_PARAMETER_BUFFER_NV

    public static final int GL_VERTEX_PROGRAM_PARAMETER_BUFFER_NV

  Accepted by the <target> parameter of ProgramBufferParametersfvNV, ProgramBufferParametersIivNV, and ProgramBufferParametersIuivNV, BindBufferRangeNV, BindBufferOffsetNV, BindBufferBaseNV, and BindBuffer and the <value> parameter of GetIntegerIndexedvEXT:

  See Also:
    Constant Field Values

### GL_GEOMETRY_PROGRAM_PARAMETER_BUFFER_NV

    public static final int GL_GEOMETRY_PROGRAM_PARAMETER_BUFFER_NV

See Also:
  Constant Field Values

### GL_FRAGMENT_PROGRAM_PARAMETER_BUFFER_NV

    public static final int GL_FRAGMENT_PROGRAM_PARAMETER_BUFFER_NV

See Also:
  Constant Field Values

Method Detail

### glProgramBufferParametersNV

    public static void glProgramBufferParametersNV(int target,
                                                   int buffer,
                                                   int index,
                                                   java.nio.FloatBuffer params)

### glProgramBufferParametersINV

    public static void glProgramBufferParametersINV(int target,
                                                    int buffer,
                                                    int index,
                                                    java.nio.IntBuffer params)

### glProgramBufferParametersIuNV

    public static void glProgramBufferParametersIuNV(int target,
                                                     int buffer,
                                                     int index,
                                                     java.nio.IntBuffer params)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.